version: "3.1"
services:
  codeserver:
    image: linuxserver/code-server:latest
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Paris
      - PASSWORD=caabda9758f649bb01572c7b
    volumes:
      - ./config:/config
    ports:
      - 4850:8443
    restart: always
    healthcheck:
      test: curl -f http://localhost:8443/ || exit 1
      interval: 60s
      retries: 5
      start_period: 20s
      timeout: 10s